fn main() {
    let arr = [1, 2, 3, 4, 5];
    println!("{:?}", arr);
    println!("First value: {}", arr[0]);
    println!("Last value: {}", arr[arr.len() - 1]);
    let sum = arr.into_iter().reduce(|a, b| a + b);
    println!("Sum: {:?}", sum);
}